QXmpp: QXmppCallInviteManager Class Reference

QXmpp Version: 1.14.2

Loading...
Searching...
No Matches
QXmppCallInviteManager Class Reference
Managers

The QXmppCallInviteManager class makes it possible to retrieve Call Invite elements as defined by XEP-0482: Call Invites. More...

Inheritance diagram for QXmppCallInviteManager:

## Public Types
using | ProposeResult = std::variant<std::shared_ptr<QXmppCallInvite>, QXmppError>

## Public Member Functions
QXmppTask< ProposeResult > | invite (const QString &callPartnerJid, bool audio=true, bool video=false, std::optional< QXmppCallInviteElement::Jingle > jingle=std::nullopt, std::optional< QVector< QXmppCallInviteElement::External > > external=std::nullopt)
Q_SIGNAL void | invited (const std::shared_ptr< QXmppCallInvite > &callInvite, const QString &id)
Public Member Functions inherited from QXmppClientExtension
| QXmppClientExtension ()
virtual QStringList | discoveryFeatures () const
virtual QList< QXmppDiscoIdentity > | discoveryIdentities () const
virtual bool | handleStanza (const QDomElement &stanza)
| You need to implement this method to process incoming XMPP stanzas.
virtual bool | handleStanza (const QDomElement &stanza, const std::optional< QXmppE2eeMetadata > &e2eeMetadata)
| You need to implement this method to process incoming XMPP stanzas.
Public Member Functions inherited from QXmppLoggable
| QXmppLoggable (QObject *parent=nullptr)
Q_SIGNAL void | setGauge (const QString &gauge, double value)
| Sets the given gauge to value.
Q_SIGNAL void | logMessage (QXmppLogger::MessageType type, const QString &msg)
| This signal is emitted to send logging messages.
Q_SIGNAL void | updateCounter (const QString &counter, qint64 amount=1)
| Updates the given counter by amount.
Public Member Functions inherited from QXmppMessageHandler
virtual bool | handleMessage (const QXmppMessage &)=0

## Friends
class | QXmppCallInvitePrivate
class | tst_QXmppCallInviteManager

## Additional Inherited Members
Protected Member Functions inherited from QXmppClientExtension
QXmppClient * | client () const
virtual void | setClient (QXmppClient *client)
virtual void | onRegistered (QXmppClient *client)
virtual void | onUnregistered (QXmppClient *client)
void | injectIq (const QDomElement &element, const std::optional< QXmppE2eeMetadata > &e2eeMetadata)
bool | injectMessage (QXmppMessage &&message)
Protected Member Functions inherited from QXmppLoggable
void | debug (const QString &message)
| Logs a debugging message.
void | info (const QString &message)
| Logs an informational message.
void | warning (const QString &message)
| Logs a warning message.
void | logReceived (const QString &message)
| Logs a received packet.
void | logSent (const QString &message)
| Logs a sent packet.

## Detailed Description

The QXmppCallInviteManager class makes it possible to retrieve Call Invite elements as defined by XEP-0482: Call Invites.

Since
  QXmpp 1.6

## Member Typedef Documentation

## ◆ ProposeResult

using QXmppCallInviteManager::ProposeResult = std::variant<std::shared_ptr<QXmppCallInvite>, QXmppError>

Contains Call Invite object or an error if sending the propose message failed.

## Member Function Documentation

## ◆ invite()

QXmppTask< QXmppCallInviteManager::ProposeResult > QXmppCallInviteManager::invite | ( | const QString & | callPartnerJid,
|  | bool | audio = true,
|  | bool | video = false,
|  | std::optional< QXmppCallInviteElement::Jingle > | jingle = std::nullopt,
|  | std::optional< QVector< QXmppCallInviteElement::External > > | external = std::nullopt )

Creates a proposal Call Invite element and passes it as a message.

## ◆ invited()

Q_SIGNAL void QXmppCallInviteManager::invited | ( | const std::shared_ptr< QXmppCallInvite > & | callInvite,
|  | const QString & | id )

Emitted when a call invitation has been received.

Parameters

  callInvite | Call Invite object of proposed session
  id | Call Invite element id

The documentation for this class was generated from the following files:

- QXmppCallInviteManager.h
- QXmppCallInviteManager.cpp